Subject: -mno-cygwin: STATUS_STACK_OVERFLOW before main
From: salvador <[email-masked]>
To: [email-masked]
Date: Tue, 01 Feb 2000 12:47:52 -0300

Hi!

  I have an application that compiles fine using Mingw32. When I try to compile
it using Cygwin B20.1 (adding -mno-cygwin and -lmingw32 -lcrtdll) I get an
executable, but it dies before reaching main with an STATUS_STACK_OVERFLOW
error.
  I tried with --stack XXXX without luck (same crash in same place).
  My questions:

1) What's status stack?
2) Anybody knows what could be the source of this problem?

  I also saw the program loads cygwin1.dll, is that correct for a mingw32
application generated by cygwin tools or is the result of some mess from my
part?

  I also tried using the libraries and headers from the Mingw32 copy that
generates a valid exe and got the same result.

SET

--
Salvador Eduardo Tropea (SET). (Electronics Engineer)
Visit my home page: http://welcome.to/SetSoft or
http://www.geocities.com/SiliconValley/Vista/6552/
Alternative e-mail: [email-masked] [email-masked]
                    [email-masked] [email-masked]
Address: Curapaligue 2124, Caseros, 3 de Febrero
Buenos Aires, (1678), ARGENTINA Phone: +(5411) 4759 0013

--
Want to unsubscribe from this list?
Send a message to [email-masked]